### Method

# Gtk ListStore remove

#### Declaration [src]

    gboolean
    gtk_list_store_remove (
      GtkListStore* list_store,
      GtkTreeIter* iter
    )

#### Description [src]

Removes the given row from the list store. After being removed, `iter` is set to be the next valid row, or invalidated if it pointed to the last row in `list_store`.

#### Parameters

`iter` | `GtkTreeIter`
| A valid `GtkTreeIter`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `iter` is valid, `FALSE` if not.